KDE 4.2 PyKDE API Reference

- KDE's Python API

# KBookmarkDomBuilder Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

## Methods

| __init__ (self, KBookmarkGroup group, KBookmarkManager a0)
| connectImporter (self, QObject a0)
| endFolder (self)
| newBookmark (self, QString text, QString url, QString additionalInfo)
| newFolder (self, QString text, bool open, QString additionalInfo)
| newSeparator (self)

## Method Documentation

__init__ | ( | self, |
|  | KBookmarkGroup | group,
|  | KBookmarkManager | a0
| ) |  |  |

connectImporter | ( | self, |
|  | QObject | a0
| ) |  |  |

endFolder | ( |  | self ) |

newBookmark | ( | self, |
|  | QString | text,
|  | QString | url,
|  | QString | additionalInfo
| ) |  |  |

newFolder | ( | self, |
|  | QString | text,
|  | bool | open,
|  | QString | additionalInfo
| ) |  |  |

newSeparator | ( |  | self ) |